List Organisation Cluster Dns Zones Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/dns/cluster-zones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/dns/cluster-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/dns/cluster-zones \
--header 'Authorization: Bearer <token>'{
"items": [
{
"cluster_id": "<string>",
"cluster_name": "<string>",
"fqdn": "<string>",
"state": "<string>",
"last_error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DNS
List Organisation Cluster Dns Zones Api Endpoint
List every cluster-level DNS domain in the organisation with its reconciliation state - the inventory an administrator clears before changing the organisation’s dns_root_domain.
GET
/
api
/
v1
/
org
/
dns
/
cluster-zones
List Organisation Cluster Dns Zones Api Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/dns/cluster-zones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/dns/cluster-zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/dns/cluster-zones \
--header 'Authorization: Bearer <token>'{
"items": [
{
"cluster_id": "<string>",
"cluster_name": "<string>",
"fqdn": "<string>",
"state": "<string>",
"last_error": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes